_Elm_Gen_Item_Class Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Elm_Gen_Item_Class Struct Reference

Gengrid or Genlist item class definition. More...

`#include <elm_gen.h>`

## Data Fields
int | version
| Set by elementary if you alloc an item class using elm_genlist/gengrid_item_class_new(), or if you set your own class (must be const) then set it to ELM_GENLIST/GENGRID_ITEM_CLASS_VERSION.
unsigned int | refcount
| Set it to 0 if you use your own const class, or its managed for you by class ref/unref calls.
Eina_Bool | delete_me
| Leave this alone - set it to 0 if you have a const class of your own.
const char * | item_style
| Name of the visual style to use for this item.
const char * | decorate_item_style
| Style used if item is set to a decorate mode.
const char * | decorate_all_item_style
| Style to use when in edit mode, or NULL if you don't care.
Elm_Gen_Item_Class_Functions | func
| Set of callbacks.

## Detailed Description

Gengrid or Genlist item class definition.

Examples
  combobox_example_01.c, entry_example.c, gengrid_example.c, genlist_example_01.c, genlist_example_02.c, genlist_example_03.c, genlist_example_04.c, genlist_example_05.c, and index_example_02.c.

## Field Documentation

## ◆ item_style

const char* _Elm_Gen_Item_Class::item_style

Name of the visual style to use for this item.

If you don't know use "default".

Examples
  combobox_example_01.c, entry_example.c, gengrid_example.c, genlist_example_01.c, genlist_example_02.c, genlist_example_03.c, genlist_example_04.c, genlist_example_05.c, and index_example_02.c.

## ◆ decorate_item_style

const char* _Elm_Gen_Item_Class::decorate_item_style

Style used if item is set to a decorate mode.

see elm_genlist_item_decorate_mode_set() or NULL if you don't care. currently it's used only in genlist.

## ◆ decorate_all_item_style

const char* _Elm_Gen_Item_Class::decorate_all_item_style

Style to use when in edit mode, or NULL if you don't care.

Currently it's used only in genlist.